%global _name lago
%global _version 0.5
%global _release 

Name:		%{_name}
Version:	%{_version}
Release:	1%{?_release}%{?dist}
Summary:	System testing framework
BuildArch:	noarch

Group:		System Environment/Libraries
License:	GPLv2+
URL:		https://github.com/oVirt/lago
Source0:	https://resources.ovirt.org/pub/src/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	python2-devel
BuildRequires:	python-flake8
BuildRequires:	python-nose
BuildRequires:	git
Requires:	python-%{name} = %{version}
Requires:	sudo

%description
LAGO System testing framework.
Deploy and tear down environments of several virtual machines

%prep
%setup -q -n %{name}-%{version}

%build
LAGO_VERSION=%{version} %{__python} setup.py build

%install
LAGO_VERSION=%{version} %{__python} setup.py install --root $RPM_BUILD_ROOT
cd "$RPM_BUILD_DIR"
install -d $RPM_BUILD_ROOT/usr/share/lago
install \
    bin/sync_templates.py \
    bin/update_images.py \
    "$RPM_BUILD_ROOT"/usr/share/lago

install -d "$RPM_BUILD_ROOT"/usr/libexec/ovirtlago
install \
    contrib/ovirt/libexec/build_engine_rpms.sh \
    contrib/ovirt/libexec/build_vdsm_rpms.sh \
    contrib/ovirt/libexec/build_vdsm-jsonrpc-java_rpms.sh \
    contrib/ovirt/libexec/build_ioprocess_rpms.sh \
    "$RPM_BUILD_ROOT"/usr/libexec/ovirtlago

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/mock
install \
    contrib/ovirt/mock/epel-6-x86_64_ovirt.cfg \
    contrib/ovirt/mock/epel-7-x86_64_ovirt.cfg \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/mock

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/firewalld/services
install \
    contrib/ovirt/firewalld/services/lago.xml \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/firewalld/services

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/polkit-1/localauthority/50-local.d
install \
    polkit/lago.pkla \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/polkit-1/localauthority/50-local.d

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/sudoers.d
install \
    sudo/lago \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/sudoers.d

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/lago.d
install \
    etc/lago.d/lago.conf \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/lago.d

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/sudoers.d
install \
    sudo/lago \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/sudoers.d


install -d "$RPM_BUILD_ROOT"/var/lib/lago/subnets
install -d "$RPM_BUILD_ROOT"/var/lib/lago/store
install -d "$RPM_BUILD_ROOT"/var/lib/lago/repos
install -d "$RPM_BUILD_ROOT"/var/lib/lago/reposync

%files
%doc AUTHORS COPYING README.md
%{_bindir}/lagocli
%{_bindir}/lagocli-template-repo
%{_datadir}/%{name}/*
%attr(0775, root, root) %{_sysconfdir}/sudoers.d/*

%package -n python-%{name}
Summary:	Library to perform lago operations
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	python
Requires:	libguestfs-tools
Requires:	libvirt >= 1.2.8
Requires:	libvirt-python
Requires:	python-libguestfs
Requires:	python-lxml
Requires:	python-lockfile
Requires:	python-paramiko
Requires:	python-setuptools
Requires:	qemu-img >= 2.1.2
Requires:	qemu-kvm >= 2.1.2
Requires:	git

%description -n python-%{name}

%files -n python-%{name}
%{python2_sitelib}/%{name}/*.py*
%{python2_sitelib}/%{name}/*.xml
%{python2_sitelib}/%{name}/*.log.conf
%{python2_sitelib}/%{name}-%{version}-py*.egg-info
%{_sysconfdir}/polkit-1/localauthority/50-local.d/
%config(noreplace) %{_sysconfdir}/lago.d/lago.conf
%dir %attr(2775, root, lago) /var/lib/lago/
%dir %attr(2775, root, lago) /var/lib/lago/subnets/
%dir %attr(2775, root, lago) /var/lib/lago/store/
%dir %attr(2775, root, lago) /var/lib/lago/repos/

%pre -n python-%{name}
if [[ "$1" -eq 1 ]]; then
	groupadd lago
fi

%postun -n python-%{name}
if [[ "$1" -eq 0 ]]; then
	groupdel lago
fi

%package -n %{name}-ovirt
Summary:	oVirt extension for lagocli
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	%{name} = %{version}
Requires:	python-%{name}-ovirt = %{version}

%files -n %{name}-ovirt
%{_bindir}/lagocli-ovirt

%description -n %{name}-ovirt

%package -n python-%{name}-ovirt
Summary:	Library for ovirt specific facitilies
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	python
Requires:	python-%{name} = %{version}
Requires:	python-nose
Requires:	python-magic
Requires:	mock
Requires:	ovirt-engine-sdk-python
Requires:	createrepo
Requires:	yum-utils
Requires:	rpm-build
Requires:	xz


%description -n python-%{name}-ovirt

%files -n python-%{name}-ovirt
%{python2_sitelib}/ovirt%{name}/*.py*
%{_libexecdir}/ovirt%{name}/*
%{_sysconfdir}/mock/*
%{_sysconfdir}/firewalld/services/*
%dir %attr(2775, root, lago) /var/lib/lago/reposync/

%post -n python-%{name}-ovirt
if [ "$1" -eq 1 ]; then
	firewall-cmd --reload
	firewall-cmd --permanent --zone=public --add-service=lago
	firewall-cmd --reload
fi

%preun  -n python-%{name}-ovirt
if [ "$1" -eq 0 ]; then
	firewall-cmd --permanent --zone=public --remove-service=lago
	firewall-cmd --reload
fi

%changelog
* Thu Oct 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 0.2
- Fix lago.src: E: no-description-tag
- Fix lago.src: E: no-changelogname-tag
- Fix lago.src: W: invalid-url URL redhat.com
- Fix lago.src: W: invalid-url Source0: https://dimak.fedorapeople.org/lago/lago-0.2.tar.gz HTTP Error 404: Not Found
